
Infrastructure - Task #4244

Story # 4230 (Closed): CN System Metadata needs tidying

Post merge HZ/search index/MN cleanup

2014-01-24 22:45 - Skye Roseboom

Status: Closed Start date: 2014-01-24

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_replication_auditor Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

Need a class to clear out stale hazelcast records as they are repaired and inserted into the CN.

Class needs to:

1. Evict record from hz storage system metadata map structure (to clear stale 'unmerged' version of the record from memory)

2. Call 'get' to cause the new merged version of the system metadata document to be loaded into the hz storage system metadata

map structure.   This will cause indexing to kick off and re-index the new merged version - updating the index with any new

merged information.

3. Invoke SystemMetadataChanged on MN copies of the system metadata so they can update to the new merged version.

This will likely run in batch after all merge/updates have been inserted into the CN datastore.

History

#1 - 2014-01-24 22:46 - Skye Roseboom

- Subject changed from Handle after merge insert cleanup to Post merge HZ/Index cleanup

#2 - 2014-01-24 22:48 - Skye Roseboom

- Subject changed from Post merge HZ/Index cleanup to Post merge HZ/search index/MN cleanup

#3 - 2014-01-30 16:59 - Skye Roseboom

- Status changed from In Progress to Testing

#4 - 2014-07-30 17:52 - Skye Roseboom

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0
